编译glibc出错。。

编译安装或者制作Deb包
回复
nMapleaf
帖子: 11
注册时间: 2008-11-30 13:38
送出感谢: 0
接收感谢: 0

编译glibc出错。。

#1

帖子 nMapleaf » 2010-06-05 14:07

某些原因。所以得编译glibc

以下是部份config.log
gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5)
configure:3284: $? = 0
configure:3291: gcc -V >&5
gcc: '-V' option must have argument
configure:3294: $? = 1
configure:3298: checking for suffix of object files
configure:3324: gcc -c -g -O2 -march=i686 conftest.c >&5
conftest.c:1: error: CPU you selected does not support x86-64 instruction set
configure:3327: $? = 1

求解。。
头像
pocoyo
论坛版主
帖子: 25878
注册时间: 2008-03-25 15:49
来自: 谁知道?
送出感谢: 5 次
接收感谢: 9 次
联系:

Re: 编译glibc出错。。

#2

帖子 pocoyo » 2010-06-05 16:01

代码: 全选

sudo apt-get build-dep glibc
先。
nMapleaf
帖子: 11
注册时间: 2008-11-30 13:38
送出感谢: 0
接收感谢: 0

Re: 编译glibc出错。。

#3

帖子 nMapleaf » 2010-06-05 17:25

:em06 非常感谢
tusooa
帖子: 6546
注册时间: 2008-10-31 22:12
系统: 践兔
送出感谢: 6 次
接收感谢: 10 次
联系:

Re: 编译glibc出错。。

#4

帖子 tusooa » 2010-07-30 0:43

为什么要编译GLibc?手动编译工具链是高危动作。
如果一定要编译,不要安装到普通软件安装的位置,最好安装到$HOME的某个地方。

代码: 全选

] ls -ld //
回复

回到 “编译或打包”